Автор Тема: Служба печати недоступна после обновления системы  (Прочитано 6699 раз)

Оффлайн tarasov-it1

  • Давно тут
  • **
  • Сообщений: 28
Альт Рабочая станция 9.1 показывал, что доступно обновление, но обновиться не мог, возникала ошибка
Цитировать
Выполнение xdg-su -c "/usr/sbin/synaptic —update-at-startup —dist-upgrade-mode —non-interactive" завершилось с кодом 4
Я решил обновиться в терминале:
apt-get update
apt-get dist-upgrade
Обновиться удалось, но стала недоступна служба печати. Пытаюсь запустить, ввожу пароль пользователя. но ничего не происходит.

Как решить проблему?

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 733
Цитировать
Выполнение xdg-su -c "/usr/sbin/synaptic —update-at-startup —dist-upgrade-mode —non-interactive" завершилось с кодом 4

Эти опции начинаются не через дефис, а через двойной минус.

Альт Рабочая станция 9.1 показывал, что доступно обновление, но обновиться не мог, возникала ошибка
Цитировать
Выполнение xdg-su -c "/usr/sbin/synaptic —update-at-startup —dist-upgrade-mode —non-interactive" завершилось с кодом 4

В системе с xfce на sysvinit, эта команда
$ xdg-su -c "/usr/sbin/synaptic --update-at-startup --dist-upgrade-mode --non-interactive"
Gkr-Message: 09:50:20.198: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files
(gksu:16917): Gtk-WARNING **: 09:50:20.202: Загружаемый модуль тем не найден в module_path: «adwaita»,
(gksu:16917): Gtk-WARNING **: 09:50:20.207: Загружаемый модуль тем не найден в module_path: «adwaita»,
(synaptic:16961): Gtk-WARNING **: 09:50:25.906: Загружаемый модуль тем не найден в module_path: «adwaita»,
(synaptic:16961): Gtk-WARNING **: 09:50:25.911: Загружаемый модуль тем не найден в module_path: «adwaita»,

завершается Done и без ошибок:
# cat .synaptic/log/2021-05-18.095118.log
Commit Log for Tue May 18 09:51:18 2021


Следующие пакеты обновлены:
alterator-l10n (2.9.88-alt1:p9+270406.200.1.1@1619006437) to 2.9.89-alt1:p9+271785.100.1.1@1620920386
alterator-lookout (2.7-alt1:p9+257564.300.1.1@1599593357) to 2.7-alt2:p9+270887.100.1.1@1619620461
firefox-esr (78.10.0-alt0.1.p9:p9+270404.100.2.1@1619014050) to 78.10.1-alt0.p9.1:p9+271260.100.4.1@1620839362
gtk-update-icon-cache (3.24.11-alt1:p9+260591.300.12.1@1606214030) to 3.24.11-alt1.M90P.1:p9+270534.40.3.1@1621245201
libEGL-devel (4:21.0.2-alt1:p9+269192.200.1.1@1617870169) to 4:21.0.3-alt1:p9+271012.200.3.1@1621244963
libEGL-mesa (4:21.0.2-alt1:p9+269192.200.1.1@1617870169) to 4:21.0.3-alt1:p9+271012.200.3.1@1621244963
libGL-devel (4:21.0.2-alt1:p9+269192.200.1.1@1617870169) to 4:21.0.3-alt1:p9+271012.200.3.1@1621244963
libGLX-mesa (4:21.0.2-alt1:p9+269192.200.1.1@1617870169) to 4:21.0.3-alt1:p9+271012.200.3.1@1621244963
libdrm (1:2.4.105-alt1:p9+269192.100.1.1@1617869797) to 1:2.4.105-alt2:p9+271012.100.1.1@1619786664
libgail3 (3.24.11-alt1:p9+260591.300.12.1@1606214030) to 3.24.11-alt1.M90P.1:p9+270534.40.3.1@1621245201
libgbm (4:21.0.2-alt1:p9+269192.200.1.1@1617870169) to 4:21.0.3-alt1:p9+271012.200.3.1@1621244963
libgtk+3 (3.24.11-alt1:p9+260591.300.12.1@1606214030) to 3.24.11-alt1.M90P.1:p9+270534.40.3.1@1621245201
libgtk+3-devel (3.24.11-alt1:p9+260591.300.12.1@1606214030) to 3.24.11-alt1.M90P.1:p9+270534.40.3.1@1621245201
libgtk+3-gir (3.24.11-alt1:p9+260591.300.12.1@1606214030) to 3.24.11-alt1.M90P.1:p9+270534.40.3.1@1621245201
libgtk+3-schemas (3.24.11-alt1:p9+260591.300.12.1@1606214030) to 3.24.11-alt1.M90P.1:p9+270534.40.3.1@1621245201
libicu64 (1:6.4.2-alt2:p9+247371.14540.149.1@1590835182) to 1:6.4.2-alt3:p9+270873.100.1.1@1619612690
libmozjs60 (60.1.0-alt1@1533143983) to 60.1.0-alt2:p9+270861.100.1.1@1619605505
liborc (0.4.30.1-alt0.2:p9+238791.100.1.1@1570624345) to 0.4.30.1-alt0.3:p9+270868.100.1.1@1619607244
libthunar (1.8.16-alt1:p9+260830.100.3.1@1604592112) to 1.8.17-alt1:p9+271820.100.1.1@1620978213
libxatracker (4:21.0.2-alt1:p9+269192.200.1.1@1617870169) to 4:21.0.3-alt1:p9+271012.200.3.1@1621244963
pciids (20210426-alt1:p9+270750.100.1.1@1619485642) to 20210510-alt1:p9+271422.100.1.1@1620695243
synaptic (0.58-alt23:p9+236917.400.1.1@1567188731) to 0.58-alt24:p9+271479.200.4.1@1621258134
thunar (1.8.16-alt1:p9+260830.100.3.1@1604592112) to 1.8.17-alt1:p9+271820.100.1.1@1620978213
xfce4-settings (4.14.3-alt1:p9+249857.100.2.1@1587393215) to 4.14.4-alt1:p9+271617.100.1.1@1620819481
xorg-dri-intel (4:21.0.2-alt1:p9+269192.200.1.1@1617870169) to 4:21.0.3-alt1:p9+271012.200.3.1@1621244963
xorg-dri-nouveau (4:21.0.2-alt1:p9+269192.200.1.1@1617870169) to 4:21.0.3-alt1:p9+271012.200.3.1@1621244963
xorg-dri-radeon (4:21.0.2-alt1:p9+269192.200.1.1@1617870169) to 4:21.0.3-alt1:p9+271012.200.3.1@1621244963
xorg-dri-swrast (4:21.0.2-alt1:p9+269192.200.1.1@1617870169) to 4:21.0.3-alt1:p9+271012.200.3.1@1621244963

Я решил обновиться в терминале:
apt-get update
apt-get dist-upgrade
Обновиться удалось, но стала недоступна служба печати. Пытаюсь запустить, ввожу пароль пользователя. но ничего не происходит.

Сервисами в системе, управляет не пользователь, а root.

Оффлайн tarasov-it1

  • Давно тут
  • **
  • Сообщений: 28
Разобрался. Оказывается, сервис переименовали. Выполнил
systemctl enable cups.serviceПерезагрузился и всё нормально
« Последнее редактирование: 18.05.2021 10:10:41 от tarasov-it1 »

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 733
Вроде разобрался. Оказывается, сервис переименовали. Выполнил
systemctl enable cups.serviceПерезагрузился и всё нормально

Если сервис переименован, то уже к Лёньке Поттерингу. Это он, ведущий программист systemd, не знает, что так вольно обращаться с именами сервисов нельзя. Иначе это сломает рестарт сервиса на обновлении системы.

Оффлайн trs

  • Давно тут
  • **
  • Сообщений: 88
cups.service находится в пакете cups, к которому Поттеринг не имеет отношения.

Оффлайн rabochyITs

  • Давно тут
  • **
  • Сообщений: 770
  • Евгений
cups.service находится в пакете cups, к которому Поттеринг не имеет отношения.
Если бы я был мегакорпорацией желающей что-либо слить или сломать, или захватить управление чем-либо, я бы нанял Поттеринг-а. Дал бы ему указание, что и как делать, объяснил внешнюю часть стратегии и целей и самое главное условие, чтобы он всем говорил, что это его идеи и работа. Если бы не справлялся, то нанял бы ему в помощники Илона Маска ( человек с аналогичным опытом), а за тухлые помидоры и яйца в их адрес выдавал бы хорошие гонорары.  С помощью ресурса кадров и денег, перехватил бы инициативу и вынудил пассивных программистов или не имеющих власти и ресурсов, подстраиваться под мою стратегию и переделывать свои пакеты и сервисы. Вот такой я злодей ))

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 733
cups.service находится в пакете cups, к которому Поттеринг не имеет отношения.

Приложение пыталось запустить не cups.service, а org.cups.cupsd.service.
И вызывать один сервис, в то время как после обновления уже требуется другой сервис, требующего ручного вмешательства, это плохая идея.

Например:
В системах на sysv, на обновлении, самба не может дать сбой. Рестарт сервисов выполняется автоматом без ручного вмешательства пользователя. Не вызывая отказа и необходимости ручного вмешательства на обновлении системы. В системе основанной на стабильном репозитории, такого не должно быть де-факто.

Оффлайн trs

  • Давно тут
  • **
  • Сообщений: 88
Если бы я был мегакорпорацией желающей что-либо слить или сломать, или захватить управление чем-либо, я бы нанял Поттеринг-а.
Да пользователям плевать, кто там: Леннарт Поттреринг, или Васлий Пупкин. Они видят критику в адрес разработчиков и далеют вывод, что с Линукс что-то не так, значит надо вернуться на Винду.

Приложение пыталось запустить не cups.service, а org.cups.cupsd.service.
И что это меняет? Нет в systemd никаких cups, если не считать документацию.
$ grep -R cups ~/src/systemd
/home/st/src/systemd/man/busctl.xml:      <literal>cups.service</literal> and
/home/st/src/systemd/man/busctl.xml:      <programlisting># busctl call org.freedesktop.systemd1 /org/freedesktop/systemd1 org.freedesktop.systemd1.Manager StartUnit ss "cups.service" "replace"
/home/st/src/systemd/man/org.freedesktop.systemd1.xml:    <programlisting executable="systemd" node="/org/freedesktop/systemd1/unit/cups_2epath" interface="org.freedesktop.systemd1.Path">
/home/st/src/systemd/man/org.freedesktop.systemd1.xml:node /org/freedesktop/systemd1/unit/cups_2epath {
/home/st/src/systemd/man/tmpfiles.d.xml:      <programlisting>D /run/cups - - - -
/home/st/src/systemd/man/tmpfiles.d.xml:t /run/cups - - - - security.SMACK64=printing user.attr-with-spaces="foo bar"
grep: /home/st/src/systemd/test/testdata: предупреждение: каталоги зациклены

В системах на sysv, на обновлении, самба не может дать сбой.
В данном случае ошибка возникла при запуске "/usr/sbin/synaptic. Может Инет пропал. Человек проблему решил, при чём тут Поттеринг.
« Последнее редактирование: 19.05.2021 07:10:08 от trs »

Оффлайн gosts 87

  • Давно тут
  • **
  • Сообщений: 1 075
  • Дмитрий/Dmitry/德米特里/दिमित्री
Цитировать
Выполнение xdg-su -c "/usr/sbin/synaptic —update-at-startup —dist-upgrade-mode —non-interactive" завершилось с кодом 4
Обычно такое бывает при только-что установленном дистрибутиве и означает необновлëнный кеш пакетной базы. В этом случае: 1. Можно обновиться через терминал, 2. Зайти в Synaptic, нажать "Сведения", что приводит к обновлению кеша пакетной базы, и установить обновления прямо через Synaptic, а не через apt.
« Последнее редактирование: 19.05.2021 12:53:13 от gosts 87 »

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 733
В данном случае ошибка возникла при запуске "/usr/sbin/synaptic.

Причина exit with code 4 тут, но неизвестно почему synaptic дал сбой на запуске:
$ sed -n '258,268p' /usr/bin/xdg-su
#-------------------------------------------------------------
# Exit script on failure returned by a tool application

exit_failure_operation_failed()
{
    if [ $# -gt 0 ]; then
        echo "xdg-su: $@" >&2
    fi

    exit 4
}

Может Инет пропал.

Если инета нет перед запуском, synaptic вывалит что не может прочитать индексы. Если инет пропал в процессе загрузки индексов, он зависнет на чтении индексов. Но сбой не даст.

Человек проблему решил, при чём тут Поттеринг.

Ручной enable сервису после обновления системы, это не решение проблемы. Это её объезд. Но сама проблема никуда не делась.

В системах на sysv, таких неожиданностей нет и быть не может:
# rpm -qp --scripts /var/cache/apt/archives/cups_2.3.3-alt2.op2%3ap9+267729.100.2.1\@1616001930_x86%5f64.rpm
postinstall scriptlet (using /bin/sh):
/usr/sbin/post_service cups
preuninstall scriptlet (using /bin/sh):
/usr/sbin/preun_service cups
# sed -n '40,45p' /usr/sbin/post_service
if [ "$RPM_INSTALL_ARG1" -eq 1 ]; then
chkconfig --add "$1"
else
chkconfig "$1" resetpriorities
service "$1" condrestart
fi

Оффлайн Biker

  • в Linux начинающий "чайник"
  • Давно тут
  • **
  • Сообщений: 245
это что получается, что раньше был localhost:631 а теперь что?

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 686
    • Домашняя страница
    • Email
это что получается, что раньше был localhost:631 а теперь что?
И теперь. Но лучше system-config-printer.
Андрей Черепанов (cas@)